MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000962luatexluatex bugpublic2016-01-15 00:152016-01-16 01:08
Reportertrueroad 
Assigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.80.0 
Target VersionFixed in Version0.88.0 
Summary0000962: Texinfo macro @html and @quotation failed
DescriptionIn LuaTeX 0.80.0 (rev 5238) with texinfo.tex 2016-01-11.19, attached texi files failed.
In pdfTeX, both files work fine.
Steps To Reproduce$ luatex macro-html.texi
This is LuaTeX, Version beta-0.80.0 (TeX Live 2015/Cygwin) (rev 5238)
 restricted \write18 enabled.
(./macro-html.texi (./texinfo.tex Loading texinfo [version 2016-01-11.19]:
pdf, fonts, markup, glyphs, page headings, tables, conditionals, indexing,
sectioning, toc, environments, defuns, macros, cross references, insertions,
(/usr/share/texmf-site/tex/generic/epsf/epsf.tex
This is `epsf.tex' v2.7.4 <14 February 2011>
) localization, formatting, and turning on texinfo input format.)
Runaway argument?

! File ended while scanning use of \doignoretext.
<inserted text>
@par
@scanmacro ...atspaces }@scantokens 0000001@texinfoc">{0000001@texinfoc }
                                                  @aftermacro
l.17 @divId{aaa}

? x
No pages of output.

LuaTeX warning: dangling objects discarded, no output file produced.
Transcript written on macro-html.log.

$ luatex macro-quotation.texi
This is LuaTeX, Version beta-0.80.0 (TeX Live 2015/Cygwin) (rev 5238)
 restricted \write18 enabled.
(./macro-quotation.texi (./texinfo.tex
Loading texinfo [version 2016-01-11.19]: pdf, fonts, markup, glyphs,
page headings, tables, conditionals, indexing, sectioning, toc, environments,
defuns, macros, cross references, insertions,
(/usr/share/texmf-site/tex/generic/epsf/epsf.tex
This is `epsf.tex' v2.7.4 <14 February 2011>
) localization, formatting, and turning on texinfo input format.)
! This command can appear only outside of any environment, not in environment @
quotation.
@badenverr ...temp , not @inenvironment @thisenv }

@checkenv ...@ifx @thisenv @temp @else @badenverr
                                                  @fi
@\node 0000001->@checkenv {}
                       @donode 0000001 ,@finishnodeparse
l.13 @node bbb

? x
No pages of output.

LuaTeX warning: dangling objects discarded, no output file produced.
Transcript written on macro-quotation.log.

$
Additional Informationhttp://lists.gnu.org/archive/html/bug-texinfo/2016-01/msg00056.html [^]
http://lists.gnu.org/archive/html/bug-texinfo/2016-01/msg00055.html [^]
TagsNo tags attached.
Attached Fileszip file icon texinfo-macro-failed.zip [^] (104,600 bytes) 2016-01-15 00:15

- Relationships

-  Notes
(0001568)
luigi scarso (developer)
2016-01-15 15:44

Ok, thank you for the report. we are investigating.
(0001569)
Hans Hagen (manager)
2016-01-16 01:06

given all the ^^M ^^J hackery it took quite a while to make a reasonable small example but we think 0.87.2 will solve it
(0001570)
Hans Hagen (manager)
2016-01-16 01:08

at some point couple nodes became two way (prev/next) and some characters in varmem got overwritten in the case of multiline pseudo files

- Issue History
Date Modified Username Field Change
2016-01-15 00:15 trueroad New Issue
2016-01-15 00:15 trueroad File Added: texinfo-macro-failed.zip
2016-01-15 15:44 luigi scarso Note Added: 0001568
2016-01-16 01:05 Hans Hagen Assigned To => Hans Hagen
2016-01-16 01:05 Hans Hagen Status new => assigned
2016-01-16 01:06 Hans Hagen Note Added: 0001569
2016-01-16 01:08 Hans Hagen Note Added: 0001570
2016-01-16 01:08 Hans Hagen Status assigned => closed
2016-01-16 01:08 Hans Hagen Resolution open => fixed
2016-01-16 01:08 Hans Hagen Fixed in Version => 0.88.0


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker